精华内容
下载资源
问答
  • 一个服务器两个jdk,一个是jdk1.4,一个是jdk1.6。 同样tomcat版本是,tomcat5.0和tomcat6.0。都安装在一个服务器上,这个冲突问题,弄了好久,让人头疼啊 tomcat5.0匹配jdk1.4, tomcat6.0匹配jdk1.6, 1.首先...

    一个服务器两个jdk,一个是jdk1.4,一个是jdk1.6。

    同样tomcat版本是,tomcat5.0和tomcat6.0。都安装在一个服务器上,这个冲突问题,弄了好久,让人头疼啊

    tomcat5.0匹配jdk1.4,

    tomcat6.0匹配jdk1.6,

    1.首先指定tomcat匹配的jdk

    两个tomcat启动端口号不一样,这个就不用说了。

    其次,这个两个tomcat匹配的jdk版本自然也是不一样的,

    但是系统默认是高版本的jdk,这是tomcat5就出问题了,tomcat5只支持到jdk1.5,所以我们就要指定tomcat匹配的jdk路径

    在tomcat安装目录下的bin文件夹下

    catalina.bat

    setclasspath.bat

    两个文件用记事本打开,都添加一句话

    set JAVA_HOME=jdk路径(两个tomcat都加上)

    以为添加好tomcat的匹配路径,就可以了。

    2.但是,低版本tomcat中的项目,看似是没问题了,但是,服务器启动后,有些功能还是出不来。查了很久还是jdk1.6和jdk1.4冲突问题

    tomcat5.0低版本一定要tomcat6.0启动之前完成启动

    所以一定要设置服务器启动顺序。把tomcat5.0服务启动设置tomcat6.0服务之前

    1. 打开注册表,设置服务的启动顺序,HKEY_LOCAL_MACHINE->SYSTEM->Services->CurrentControlSet新建多字符串值,名称为:DependOnService,

    值为:

    tomcat5.0

    tomcat6.0

    这样即可

    展开全文
  • 以前项目组是用的JDK1.4,这几天我去别的项目组打下手,人家用的是JDK1.5,我在MYECLIPSE中把JDK1.5配置好,工程中的JDK却怎么都跟新不过来。上网找了一堆答案,大部分都是叫在MYECLIPES中的WINDOWS下修改JDK,可是我...
    以前项目组是用的JDK1.4,这几天我去别的项目组打下手,人家用的是JDK1.5,我在MYECLIPSE中把JDK1.5配置好,工程中的JDK却怎么都跟新不过来。上网找了一堆答案,大部分都是叫在MYECLIPES中的WINDOWS下修改JDK,可是我明明配置好了啊。。 后来找到一位大侠,叫对着工程点右键“build Path->add libraries->jre system library”选择JDK版本,这样项目就不报错了。。特此记下来,搞了一天这个问题,好纠结。 希望对大家有所帮助……
    展开全文
  • jdk安装版本冲突

    2018-09-19 18:03:45
    由于安装多个版本的jdk导致系统读取不到正确jdk版本 环境变量配置正常 java -version 提示不是内部程序 启动 window+r 输入regedit 启动注册表编辑器 找到HKEY_LOCAL_MACHINE → SOFTWRE → JavaSoft 删除红色...

    由于安装多个版本的jdk导致系统读取不到正确jdk版本

    环境变量配置正常 java -version 提示不是内部程序

    启动 window+r 输入regedit 启动注册表编辑器

    找到HKEY_LOCAL_MACHINE    →   SOFTWRE   →   JavaSoft    删除红色标记处的INSTALLDIR 也可以直接删除SOFTWRE下与java相关的注册列表

    测试是否恢复正常

    如果报其他错误尝试将环境变量JAVA_HOME移动到最上面

     

    建议使用解压版jdk 找不到解压版的资源可下载安装版在虚拟中安装把安装好的jdk压缩复制到本地使用 避免版本冲突问题

     

     

     

     

     

     

    展开全文
  • windows下安装多个jdk引起的问题

    千次阅读 2016-03-22 10:08:29
    我们有时候在windows下安装多个jdk,但是安装多个jdk会引起一些问题。

    我们有时候会在windows下安装多个jdk,但是安装多个jdk会引起一些问题。

    本机是安装了两个版本的jdk,一个是jdk1.8和jdk1.6。一开始是安装的jdk1.8,但是由于jdk1.8在项目中会有一些错误,所以决定还是使用jdk1.6吧。但是安装好1.6后,也配置好了环境变量。问题出现了,执行java – version 得到


    我认为是我配置jdk1.6时候把1.6版本的目录放在了1.8后面,我就去查找我的Path(这个时候我的JAVA_HOME=C:\Java1.6\jdk1.6.0_24)

    C:\ProgramData\Oracle\Java\javapath;%JAVA_HOME%\bin;E:\app\Administrator\product\11.2.0\dbhome_1\BIN……

    也没有问题啊。
    然后我去网上寻解决问题的方法。 其中有一个我认为比较好的是这样说:

            在安装JDK1.8时(本机先安装jdk1.8再安装的jdk1.6),自动将java.exe、javaw.exe、javaws.exe三个可执行文件复制到了C:\Windows\System32目录,由于这个目录在WINDOWS环境变量中的优先级高于JAVA_HOME设置的环境变量优先级

    解决方案:将C:\Windows\System32目录下的java.exe,javaw.exe,javaws.exe删除即可。开启新的命令行窗口,再执行java -version时,就得到了期望中的结果。

    我去查看自己的C:\Windows\System32去查找,但是我的竟然没有,但是他给了我一个思路。我的Path是:

    C:\ProgramData\Oracle\Java\javapath;%JAVA_HOME%\bin;E:\app\Administrator\product\11.2.0\dbhome_1\BIN……

    我就去最前面的路径去找,啊,C:\ProgramData\Oracle\Java\javapath下竟然有这三个文件(我的电脑上安装了oracle):


    最后我把%JAVA_HOME%\bin放到了最前面,再次执行java – version。问题解决了:


    建议:为了提高效率,把你想使用的JDK的bin路径直接放到Path的最前面。


    作者水平有限,难免有错误之处,殷切希望广大读者批评指正。

    转载请注明出处:http://blog.csdn.net/gcw1024

    展开全文
  • window JDK1.764位 绿色免安装版,可以安装多个JDK使用
  • Mac OS X 系统下多Jdk版本冲突解决

    千次阅读 2015-05-29 15:00:55
    Get into  /System/Library/Frameworks/JavaVM.framework/Versions and update the CurrentJDK symbolic link to point to /Library/Java/JavaVirtualMachines/YOUR_JDK_VERSION/Contents/ E.g. cd /Sy
  • JDK多版本冲突解决方案

    千次阅读 2017-09-15 18:57:14
    今日查看JDK版本 java -version,突然出现一条错误提示 has value '1.8', but '1.7' is required Error: could not find java.dll Error: cou
  • 通过查看两版本的java.exe文件大小可以确定这是jdk8的应用,说明这是在安装jdk8时,程序自动添加的 2.当我通过控制面板删除原来的jdk11时,jdk11的图标已经变灰,说明在jdk8安装的过程中 已经将部分jdk11注册表中...
  • springMVC与tomcat的jdk版本冲突总结

    千次阅读 2016-09-26 10:02:03
    花了整整一下午加一晚上才解决了这些冲突。 注:以下称“项目->properties->project facets->java->version”为“facetJava”一、设置环境安装好jdk以后,设置eclipse里的JRE:window->preferences->java->inst
  • linux下多个jdk版本并存切换

    千次阅读 2014-01-24 14:15:30
    mark一下 http://blog.itpub.net/22977/viewspace-707761
  • Android源码编译时jdk冲突解决办法

    千次阅读 2016-05-19 11:08:26
    做android rom开发过程中,可能经常做不同的版本4.2,4.4,5.1或者6.0。每个版本的编译环境对jdk的版本要求都有点差异。4.2版本需要使用jdk1.5或者1.6,...平时,我们的一个Linux编译服务器中存放多个不同android版本
  • 当我们安装多个JDK版本时,考虑到环境变量的配置冲突,而IDEA帮我们屏蔽了这个冲突,我们只需要到官网下载不同版本的JDK解压到指定的路径,在IDEA中添加其他版本的JDK,使用时只需要进行切换就可以。 ...
  • 低版本JDK解决TLS冲突

    千次阅读 2016-09-09 20:34:10
    场景写一调用第三方登陆的模块,本地开发的时候使用Apache HttpClient时候,就按照一般的POST JSon数据能够正确获取返回数据,但是当部署到线上环境的时候,就报Exception in thread "main" javax.net.ssl....
  • Linux下多个jdk引发的问题

    千次阅读 2007-11-19 13:47:00
    经过一番搜索发现,问题是在系统中安装了多个jdk。主要解决方法有两种: 简单方法:修改环境变量PATH,将JAVA_HOME/bin设为第一位。 较为复杂的方法: $ java -version ... placeholder message ... $ su -...
  • JDK和tomcat版本冲突

    千次阅读 2018-12-20 10:11:25
    出现这错误的原因是tomcat和jdk版本不兼容导致的,拿我的例子来说,tomcat是tomcat7.0.26,这版本的tomcat与jdk1.8是不兼容的,这版本的tomcat的lib文件夹中有jar叫做ecj-3.7.1.jar,而在最新的tomcat7.0.xx...
  • 现象 由于工作原因, 之前用的jdk1.8版本,因为线上生产环境都是jdk1.6...经过这次线上问题后,我本地需要再安装jdk1.6版本,但是在安装配置环境变量中出现一些问题, 比如: 下面结合自己的经验,给大家讲讲如
  • window下在同一台机器上安装多个版本jdk,修改环境变量不生效问题 现象:某台Windows机器,先安装了JDK1.7,然后配置了JAVA_HOME等环境变量,随后由于项目需要又安装了JDK 1.6,同时修改了JAVA_HOME等环境变量。...
  • 1.确认服务器上有两版本的jdk,以及两tomcat(可以使用相同版本,也可以使用不用版本的) 2.查看服务器环境变量的配置,如有相应配置,则需要根据相应环境去掉一些通用配置 如: (1)若在path路径下存在 C:...
  • windows同时安装两个jdk

    千次阅读 2017-02-06 10:33:04
    就查资料看可以同时安装多个jdk,但是每次只能配置一个环境变量。安装的时候还是遇到了问题。  先是安装的1.8,之后有安装了1.7,在环境变量中也配成1.7 JAVA_HOME : D:\NeatbeansSofts\java\jdk1.7.0_45 clas
  • tomcat-1 需要使用的JDK版本为1.5或者1.6; tomcat-2 需要使用的JDK版本为1.7+; tomcat-1和tomcat-2又必须在同一台linux服务器下。 我的操作是这样的: tomcat-1和JDK1.6、JDK1.7不做任何操作 环境变量配置: ...
  • 一台服务器可部署多个tomcat和jdk

    千次阅读 2013-02-25 17:51:08
    一台服务器可部署多个tomcat和jdk 结论:可以在同一个服务器上同时运行不同版本的jdk和不同版本的tomcat。 软件:jdk1.4 (安装版)+ tomcat4.0(免安装)  jdk1.6 (安装版)+ tomcat5.0(免安装) 软件...
  • 最近自己在搭建测试服务器环境变量时,出现了一个问题--客户给的linux服务器上已经存在一个jdk(1.6),但不是我需要(1.8)的....以前没学过linux,到网上去搜索-linux搭建多个jdk,给出的搜索结果也不满意. ...
  • jdk1.8和spring3.1版本冲突

    千次阅读 2018-03-09 10:23:07
    method:org.springframework.web.context.ContextLoader 报这样的错,刚开始我还以为是项目缺少jar包,一直处理这问题了2天,搜了各种,终于找到原因了,我把jdk换成1.7的就编译成功了,记录一下,有同样遇到这...
  • Linux jdk安装多个版本并进行切换

    万次阅读 2018-07-20 17:56:16
    注意,这里配置方法与JAVA_HOME一样,不需要到bin,也不要将ES_JAVA_HOME加到path中,因为系统中已经配置了一JAVA_HOME了,配置了之后可能出现冲突,反而出问题了 )   ********************************...
  • Tomcat指定JDK, 同时跑多个tomcat

    万次阅读 2012-08-24 14:30:52
    找一是在linux下的,我修改一下,在window下的。 就是修改 C:\tomcat-5.5.27\bin\startup.bat和setclasspath.bat shutdown.bat 就是在rem Make sure prerequisite environment variables are set后(或文件的...
  • JDK 1.8安装 下载JDK1.8 jdk 1.8下载地址 点击JDK按钮 点击接受 因为我的window7系统是64位的,所以选择x64 安装JDK1.8 打开jdk-8u45-windows-x64.exe ...
  • JDK安装路径 C:/Program Files/Java/jdk1.6.0_25  JDK环境变量如下: JAVA_HOME=C:/Program Files/Java/jdk1.6.0_25 CLASSPATH=.;%JAVA_HOME%/lib/dt.jar;%JAVA_HOME%/lib/tools.jar ...
  • windows10安装多个版本的jdk,解决java-version和javac-version版本不一致的问题 网上有很多win7的解决办法,是把path 里%JAVA_HOME%\bin放在path变量的最前面,但是对于win10系统来说,这个办法并不可行。 首先,...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 82,582
精华内容 33,032
关键字:

多个jdk会冲突吗